package organizations

type Organization struct {
	ID          string  `bson:"_id"`
	Name        string  `bson:"name"`
	Description string  `bson:"description"`
	LogoURL     string  `bson:"logoUrl"`
	OwnerID     *string `bson:"-"`
}

func (o Organization) Clone() *Organization {
	return &Organization{
		ID:          o.ID,
		Name:        o.Name,
		Description: o.Description,
		LogoURL:     o.LogoURL,
		OwnerID:     o.OwnerID,
	}
}

func (o *Organization) SetOwnerID(s string) *Organization {
	o.OwnerID = &s
	return o
}
